<div class="wrap cmb2-options-page <?php echo $this->key; ?>">
    <h2><?php echo esc_html(get_admin_page_title()); ?></h2>

    <div id="cmb2-options-page-tab-wrap">
        <ul id="tab-nav">
            <li><a class="nav-tab" href="#amo-options-settings">General</a></li>
            <li><a class="nav-tab" href="#amo-display-settings">Display</a></li>
            <li><a class="nav-tab" href="#amo-options-documentation">Documentation</a></li>
        </ul>

        <div id="amo-options-settings">
            <?php cmb2_metabox_form($this->metabox_id, $this->key); ?>
            <hr>
            <h2>Local Cache</h2>
            <p>AMO for WP stores some data in a local cache for a short period of time.<br/>Use this button to clear
                that
                cache.
            </p>
            <?php cmb2_metabox_form($this->metabox_id . '_clearcache', $this->key); ?>
            <hr>
            <h2>Sync Users &amp; Roles</h2>
            <?php if (is_multisite()) :
                echo '<div class="ui-state-highlight"><p>Syncing is unavailable with WordPress multisite.</p></div>';
            else: ?>
                <p>AMO members and roles will sync in the background periodically.<br>Use this button to re-sync
                    manually.
                </p>
                <?php cmb2_metabox_form($this->metabox_id . '_syncing', $this->key); ?>
            <?php endif; ?>
        </div>
        <div id="amo-display-settings">
            <?php cmb2_metabox_form($this->metabox_id . '_2', $this->key); ?>
            <div id="amo-css-details" class="amo-instructions-wrapper">
                <a name="amo-css-details"></a>
                <br>
                <hr>
                <h2>AMO CSS Options</h2>
                <p>AMO Shortcodes have 3 CSS settings.</p>

                <p><strong>AMO CSS Only</strong><br>
                    Many of the shortcodes AMO outputs are written using Bootstrap 3 classes. Select this option when
                    a site’s theme already implements Bootstrap to avoid loading bootstrap’s CSS file more than once.
                </p>

                <p><strong>AMO CSS + Bootstrap</strong><br/>This option adds Bootstrap 3 CSS to the active theme. Select
                    this
                    option when the theme does not already include Bootstrap.
                </p>

                <p>Bootstrap Components Implemented:</p>
                <ul class="disc">
                    <li>Alerts</li>
                    <li>Buttons</li>
                    <li>Forms</li>
                    <li>Panels</li>
                    <li>Wells</li>
                </ul>

                <p><strong>No CSS</strong><br/>This option gives the theme developer full control of AMO Styles. When
                    this
                    option is selected, the AMO plugin will not add any CSS to your theme. Select this option for better
                    compatibility with custom CSS.
                </p>

                <h2>Customizing CSS</h2>
                <p><strong>#amo-{shortcode_name}</strong> - unique ID for amo shortcode, ex. #amo-announcements<br/>
                    <strong>.amo_wrapper</strong> - wraps all HTML generated by individual AMO shortcodes<br/>
                    <strong>.amo-error</strong> - wraps error messages<br/>
                    <strong>.amo-no_results</strong> - wraps “no results” errors
                </p>
            </div>
        </div>

        <div id="amo-options-documentation">
            <div id="amo-instructions" class="amo-instructions-wrapper">
                <h3>Embeding AMO Shortcodes</h3>
                <p>After installing the AMO WordPress plugin and adding your API key, you'll notice the AMO "A" icon in
                    the
                    pages and posts editor. Clicking it pops up the available shortcodes:
                </p>
                <img src="<?php echo self::$plugin_path ?>images/editor-2.2.png" width=100%/>
                <p>Select the shortcode option you want to use and use the shortcode configuration tool to tell AMO what
                    data
                    you'd like to see. Each shortcode has different options to configure. Here is an example of the
                    Event
                    configuration:
                </p>
                <img src="<?php echo self::$plugin_path ?>images/event-shortcode.png"/>
                <p>None of the options are required, but you should take a look at the options available to make sure
                    you see
                    the date you would like to see on your page. Once you've selected your options, click the "Add
                    Shortcode"
                    button to add the module into your WordPress page.
                </p>
                <h3>Manually embedding AMO Shortcodes</h3>
                <p>If your theme isn't using the standard WordPress editor and you'd like to insert the shortcodes
                    manually,
                    click through the various options below for instructions.
                </p>
                <br/>
                <div class="accordion">
                    <ul>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Announcements</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_announcements filter="" date_start=""
                                    date_end=""
                                    sort_by="asc" page_per="" page_number=""][/amo_announcements]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">filter</td>
                                        <td>blank</td>
                                        <td>Default</td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td class="amo-docs-table-code">future
                                            <br>
                                        </td>
                                        <td>Displays only announcements beyond "today's" date</td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <br>
                                        </td>
                                        <td class="amo-docs-table-code">past</td>
                                        <td>Displays only announcements prior to "today's" date</td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td class="amo-docs-table-code">90</td>
                                        <td>Displays the next 90 days worth of announcements</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">date_start</td>
                                        <td class="amo-docs-table-code">YYYY-MM-DD</td>
                                        <td>Example: 2016-04-30
                                            <br>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">date_end</td>
                                        <td class="amo-docs-table-code">YYYY-MM-DD</td>
                                        <td>Example: 2016-04-30
                                            <br>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">sort_by</td>
                                        <td class="amo-docs-table-code">asc
                                            <br>
                                        </td>
                                        <td>Ascending order
                                            <br>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td class="amo-docs-table-code">desc</td>
                                        <td>Decending order
                                            <br>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_per</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Limit the number of announcements returned. Example: 10</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_number</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Used with <span class="amo-docs-table-code">page_per</span>, choose which
                                            "page" of results to
                                            display. Example: 1
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_announcements filter="future"
                                    date_start="2016-04-06"
                                    date_end="2016-04-30" sort_by="asc" page_per="10"
                                    page_number="1"][/amo_announcements]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>

                        <li>
                            <input type="radio" name="select" class="accordion-select">
                            <div class="accordion-title">
                                <span>Calendar</span>
                            </div>

                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_calendar event-type=""
                                    show-announcements="1" show-events="1"][/amo_events]</strong></p>
                                <br/>

                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>

                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">event-type</td>
                                        <td class="amo-docs-table-code">integer</td>
                                        <td>The ID of an event type to limit the display to, or blank for all</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">show-announcements</td>
                                        <td class="amo-docs-table-code">0 or 1</td>
                                        <td>Whether to include announcements in the calendar</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">show-events</td>
                                        <td class="amo-docs-table-code">0 or 1</td>
                                        <td>Whether to include events in the calendar</td>
                                    </tr>
                                    </tbody>
                                </table>

                                <h4>Example Configuration:</h4>

                                <p class="amo-docs-table-code">
                                    <strong>[amo_calendar event-type="1234" show-announcements="1"
                                    show-events="1"][/amo_calendar]</strong>
                                </p>
                            </div>

                            <div class="accordion-separator"></div>
                        </li>

                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Classifieds</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_classifieds filter="" page_per=""
                                    page_number=""][/amo_classifieds]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">filter</td>
                                        <td>blank</td>
                                        <td>Default</td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td class="amo-docs-table-code">current</td>
                                        <td>Displays only current classifieds</td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <br>
                                        </td>
                                        <td class="amo-docs-table-code">past</td>
                                        <td>Displays only expired classifieds</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_per</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Limit the number of classifieds returned. Example: 10</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_number</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Used with <span class="amo-docs-table-code">page_per</span>, choose which
                                            "page" of results to
                                            display. Example: 1
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_classifieds filter="current" page_per="10"
                                    page_number="1"][/amo_classifieds]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Classifieds (Add a public posting button)</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_classifieds_button
                                    button_value=""][/amo_classifieds_button]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">button_value</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Change the button label</td>
                                    </tr>

                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_classifieds_button button_value="Submit A
                                    Classified
                                    Ad"][/amo_classifieds_button]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Committee Members</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_committee_members
                                    pk_association_committee=""][/amo_committee_members]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">pk_association_committee</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Enter in the desired committees’ ID number from AMO</td>
                                    </tr>

                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_committee_members
                                    pk_association_committee="123"][/amo_committee_members]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Committee List</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_committees pk_association_committee=""
                                    committee_name=""
                                    website_display_yn="" show_description_yn="" show_website_link_yn=""
                                    show_members_yn="" page_per=""
                                    page_number=""][/amo_committees]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">pk_association_committee</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Enter an ID to show a specific committee, or leave blank to show all
                                            committees
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">committee_name</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Enter a specific committees’ name instead of an ID, or leave blank to show
                                            all committees
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">website_display_yn</td>
                                        <td class="amo-docs-table-code">blank</td>
                                        <td>Show all committees.</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code"></td>
                                        <td class="amo-docs-table-code">1</td>
                                        <td>Only display committees set to display on the Member Center Committee
                                            page.
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">show_description_yn</td>
                                        <td class="amo-docs-table-code">blank</td>
                                        <td>Hide the committees’ description text</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code"></td>
                                        <td class="amo-docs-table-code">1</td>
                                        <td>Display the committees’ description text</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">show_website_link_yn</td>
                                        <td class="amo-docs-table-code">blank</td>
                                        <td>Hide the link to the committees’ website</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code"></td>
                                        <td class="amo-docs-table-code">1</td>
                                        <td>Display a link to the committees’ website</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">show_members_yn</td>
                                        <td class="amo-docs-table-code">blank</td>
                                        <td>Hide link to view the members in the committee</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code"></td>
                                        <td class="amo-docs-table-code">1</td>
                                        <td>Display a link to view the members in the committee</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_per</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Limit the number of committees returned. Example: 10</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_number</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Used with <span class="amo-docs-table-code">page_per</span>, choose which
                                            "page" of results to
                                            display. Example: 1
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_committees pk_association_committee=""
                                    committee_name=""
                                    website_display_yn="0" show_description_yn="1" show_website_link_yn="1"
                                    show_members_yn="1"
                                    page_per="" page_number=""][/amo_committees]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Donation Button</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_donation_button
                                    button_value=""][/amo_donation_button]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">button_value</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Change the button label</td>
                                    </tr>

                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_donation_button button_value="Make
                                    Donation"][/amo_donation_button]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Events</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_events filter="" date_start="" date_end=""
                                    pk_association_event_type="" page_per="" page_number=""
                                    display_event_yn=""][/amo_events]</strong></p>
                                <br/>

                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">filter</td>
                                        <td>blank</td>
                                        <td>Default</td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td class="amo-docs-table-code">future
                                            <br>
                                        </td>
                                        <td>Displays only events beyond "today's" date</td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <br>
                                        </td>
                                        <td class="amo-docs-table-code">past</td>
                                        <td>Displays only events prior to "today's" date</td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td class="amo-docs-table-code">90</td>
                                        <td>Displays the next 90 days worth of events</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">date_start</td>
                                        <td class="amo-docs-table-code">YYYY-MM-DD</td>
                                        <td>Example: 2016-04-30
                                            <br>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">date_end</td>
                                        <td class="amo-docs-table-code">YYYY-MM-DD</td>
                                        <td>Example: 2016-04-30
                                            <br>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">pk_association_event_type</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Enter an Event Type ID to only show events of a certain type. Leave blank to
                                            display all.
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_per</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Limit the number of Events returned. Example: 10</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_number</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Used with <span class="amo-docs-table-code">page_per</span>, choose which
                                            "page" of results to
                                            display. Example: 1
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">display_event_yn</td>
                                        <td class="amo-docs-table-code">Yes</td>
                                        <td>Show only Events set to display in AMO</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code"></td>
                                        <td class="amo-docs-table-code">No</td>
                                        <td>Show only hidden Events in AMO</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code"></td>
                                        <td class="amo-docs-table-code">Blank</td>
                                        <td>Show all Events</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">display_description_yn</td>
                                        <td class="amo-docs-table-code">Yes</td>
                                        <td>Show Event Description HTML from AMO</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code"></td>
                                        <td class="amo-docs-table-code">No</td>
                                        <td>Show only summary only</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code"></td>
                                        <td class="amo-docs-table-code">Blank</td>
                                        <td>Show only summary only</td>
                                    </tr>
                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_events filter="future"
                                    date_start="2016-04-06"
                                    date_end="2023-04-30" pk_association_event_type="123" page_per="10" page_number="1"
                                    display_event_yn="Yes" display_description_yn="Yes"][/amo_events]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>

                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Member Application Button (Individual)</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_individual_application_button
                                    button_value=""][/amo_individual_application_button]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">button_value</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Change the button label</td>
                                    </tr>

                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_individual_application_button
                                    button_value="Membership
                                    Application"][/amo_individual_application_button]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Member Application Button (Organization)</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_organization_application_button
                                    button_value="O"][/amo_organization_application_button]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">button_value</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Change the button label</td>
                                    </tr>

                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_organization_application_button
                                    button_value="Organization
                                    Membership Application"][/amo_organization_application_button]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Job Board</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_jobs filter="" page_per=""
                                    page_number=""][/amo_jobs]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">filter</td>
                                        <td>blank</td>
                                        <td>Default</td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td class="amo-docs-table-code">current</td>
                                        <td>Displays only current job postings</td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <br>
                                        </td>
                                        <td class="amo-docs-table-code">past</td>
                                        <td>Displays only expired job postings</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_per</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Limit the number of job postings returned. Example: 10</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_number</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Used with <span class="amo-docs-table-code">page_per</span>, choose which
                                            "page" of results to
                                            display. Example: 1
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_jobs filter="current" page_per="10"
                                    page_number="1"][/amo_jobs]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Member Center (iframe)</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_member_center width=""
                                    height=""][/amo_member_center]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">width</td>
                                        <td class="amo-docs-table-code">% or #</td>
                                        <td>Set the width of the iframe member center (default: 100%)</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">height</td>
                                        <td class="amo-docs-table-code">% or #</td>
                                        <td>Set the height of the iframe member center (default: 1000)</td>
                                    </tr>
                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_member_center width="100%"
                                    height="1000"][/amo_member_center]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>User Login Link</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_sso_link login_text_value="" logout_text_value="" after_login_url="/"][/amo_sso_link]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">login_text_value</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Change the Login link label</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">logout_text_value</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Change the Logout link label</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">after_login_url</td>
                                        <td class="amo-docs-table-code">url</td>
                                        <td>Leave as "/" to have the SSO popup bring them back to the page they were trying to access. Or - define a URL to direct the user to a specified page (e.g. /member-center/)</td>
                                    </tr>
                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_sso_link login_text_value="Log In" logout_text_value="Log Out" after_login_url="/"][/amo_sso_link]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Member Directory (Individuals)</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code">
                                    <strong>[amo_member_directory][/amo_member_directory]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Member Directory (Organizations)</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_member_directory_organization][/amo_member_directory_organization]</strong>
                                </p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Members (Individuals)</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_members first_name="" last_name=""
                                    org_name="" city=""
                                    state="" zip="" county_name="" association_member_yn="1"
                                    pk_association_member_type="" month_offset=""
                                    page_per="" page_number=""][/amo_members]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">first_name</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Filter displayed member list by first name</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">last_name</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Filter displayed member list by last name</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">org_name</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Filter displayed member list by organizations</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">city</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Filter displayed member list by city</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">state</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Filter displayed member list by state</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">zip</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Filter displayed member list by zip</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">county_name</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Filter displayed member list by county name</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">association_member_yn</td>
                                        <td class="amo-docs-table-code">blank</td>
                                        <td>Only display members that have Association Member Y/N unchecked</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code"></td>
                                        <td class="amo-docs-table-code">1</td>
                                        <td>Only display members that have Association Member Y/N checked</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">pk_association_member_type</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Filter displayed member list by member type</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">month_offset</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Use this option for displaying a list of new members. Enter how many months
                                            back to consider a
                                            member as being "new"
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_per</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Limit the number of members returned. Example: 10</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_number</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Used with <span class="amo-docs-table-code">page_per</span>, choose which
                                            "page" of results to
                                            display. Example: 1
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_members first_name="" last_name=""
                                    org_name="" city=""
                                    state="" zip="" county_name="" association_member_yn="1"
                                    pk_association_member_type="" month_offset=""
                                    page_per="" page_number=""][/amo_members]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Members (Organizations)</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_members_organizations org_name="" city=""
                                    state="" zip=""
                                    county_name="" org_association_member_yn="1" pk_association_member_type=""
                                    month_offset="" page_per=""
                                    page_number=""][/amo_members_organizations]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">org_name</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Filter displayed organization list by organization name</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">city</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Filter displayed organization list by city</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">state</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Filter displayed organization list by state</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">zip</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Filter displayed organization list by zip</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">county_name</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Filter displayed organization list by county name</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">org_association_member_yn</td>
                                        <td class="amo-docs-table-code">blank</td>
                                        <td>Only display organizations that have Association Member Y/N unchecked</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code"></td>
                                        <td class="amo-docs-table-code">1</td>
                                        <td>Only display organizations that have Association Member Y/N checked</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">pk_association_member_type</td>
                                        <td class="amo-docs-table-code">text</td>
                                        <td>Filter displayed organization list by member type</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">month_offset</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Use this option for displaying a list of new organization members. Enter how
                                            many months back to
                                            consider a organization as being "new"
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_per</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Limit the number of members returned. Example: 10</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_number</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Used with <span class="amo-docs-table-code">page_per</span>, choose which
                                            "page" of results to
                                            display. Example: 1
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_members_organizations org_name="" city=""
                                    state="" zip=""
                                    county_name="" org_association_member_yn="1" pk_association_member_type=""
                                    month_offset="" page_per=""
                                    page_number=""][/amo_members_organizations]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Random Banner Ad</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_random_banner
                                    image_alignment=""][/amo_random_banner]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">image_alignment</td>
                                        <td class="amo-docs-table-code">center</td>
                                        <td>Align banner to center</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code"></td>
                                        <td class="amo-docs-table-code">left</td>
                                        <td>Align banner to left</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code"></td>
                                        <td class="amo-docs-table-code">right</td>
                                        <td>Align banner to right</td>
                                    </tr>
                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_random_banner
                                    image_alignment="center"][/amo_random_banner]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>Resumes</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_resumes filter="" page_per=""
                                    page_number=""][/amo_resumes]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">filter</td>
                                        <td class="amo-docs-table-code">blank</td>
                                        <td>Show all resumes</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code"></td>
                                        <td class="amo-docs-table-code">current</td>
                                        <td>Show only current resumes</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code"></td>
                                        <td class="amo-docs-table-code">past</td>
                                        <td>Show only expired resumes</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_per</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Limit the number of resumes returned. Example: 10</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">page_number</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Used with <span class="amo-docs-table-code">page_per</span>, choose which
                                            "page" of results to
                                            display. Example: 1
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_resumes filter="current" page_per=""
                                    page_number=""][/amo_resumes]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-title">
                                <span>AMO Webpage Conent (iframe)</span>
                            </div>
                            <div class="accordion-content">
                                <p class="amo-docs-table-code"><strong>[amo_webpage pk_association_webpage="" width=""
                                    height=""
                                    scrolling=""][/amo_webpage]</strong></p>
                                <br/>
                                <table class="amo-docs-table">
                                    <thead>
                                    <tr>
                                        <th>Argument</th>
                                        <th>Options</th>
                                        <th>Description</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td class="amo-docs-table-code">pk_association_webpage</td>
                                        <td class="amo-docs-table-code">#</td>
                                        <td>Enter ID of the desired AMO webpage</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">width</td>
                                        <td class="amo-docs-table-code">% or #</td>
                                        <td>Width of iframe (e.g. 100%)</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">height</td>
                                        <td class="amo-docs-table-code">% or #</td>
                                        <td>Height of iframe (e.g. 1000)</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code">scrolling</td>
                                        <td class="amo-docs-table-code">Yes</td>
                                        <td>Enable scrolling iframe controls</td>
                                    </tr>
                                    <tr>
                                        <td class="amo-docs-table-code"></td>
                                        <td class="amo-docs-table-code">no</td>
                                        <td>Disable scrolling iframe controls</td>
                                    </tr>

                                    </tbody>
                                </table>
                                <h4>Example Configuration:</h4>
                                <p class="amo-docs-table-code"><strong>[amo_webpage pk_association_webpage=""
                                    width="100%" height="1000"
                                    scrolling="Yes"][/amo_webpage]</strong></p>
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                        <li>
                            <input type="radio" name="select" class="accordion-select"/>
                            <div class="accordion-content">
                            </div>
                            <div class="accordion-separator"></div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>

    <?php /* This HTML sets hidden field used to store a "clear the cache" value, then submits the form */ ?>
    <script type="text/javascript">
    jQuery(document).ready(function ($) {

        if ($('#cmb2-options-page-tab-wrap')) {
            $('#cmb2-options-page-tab-wrap').tabs();
        }

        $('.documentation-link').click(function (e) {
            e.preventDefault();
            $('#cmb2-options-page-tab-wrap a.nav-tab[href="#amo-options-documentation"]').trigger('click');
        });

        $("textarea").keydown(function (e) {
            if (e.keyCode === 9) { // tab was pressed
                // get caret position/selection
                var start = this.selectionStart;
                var end   = this.selectionEnd;

                var $this = $(this);
                var value = $this.val();

                // set textarea value to: text before caret + tab + text after caret
                $this.val(value.substring(0, start)
                          + "\t"
                          + value.substring(end));

                // put caret at right position again (add one for the tab)
                this.selectionStart = this.selectionEnd = start + 1;

                // prevent the focus lose
                e.preventDefault();
            }
        });
    })
    </script>
